pcl::face_detection::RFTreeNode< FeatureType > Class Template Reference

`#include <pcl/recognition/face_detection/face_common.h>`

## Public Member Functions

void | serialize (::std::ostream &stream) const
void | deserialize (::std::istream &stream)

## Public Attributes

float | threshold
FeatureType | feature
std::vector< RFTreeNode > | sub_nodes
float | value
float | variance
Eigen::Vector3d | trans_mean_
Eigen::Vector3d | rot_mean_
float | purity_
Eigen::Matrix3d | covariance_trans_
Eigen::Matrix3d | covariance_rot_

## Detailed Description

### template<class FeatureType>
class pcl::face_detection::RFTreeNode< FeatureType >

Definition at line 70 of file face_common.h.

## Member Function Documentation

## deserialize()

template<class FeatureType >

void pcl::face_detection::RFTreeNode< FeatureType >::deserialize | ( | ::std::istream & | stream | ) |

inline

Definition at line 121 of file face_common.h.

References pcl::face_detection::FeatureType::deserialize().

## serialize()

template<class FeatureType >

void pcl::face_detection::RFTreeNode< FeatureType >::serialize | ( | ::std::ostream & | stream | ) | const

inline

Definition at line 86 of file face_common.h.

References pcl::face_detection::FeatureType::serialize().

## Member Data Documentation

## covariance_rot_

template<class FeatureType >

Eigen::Matrix3d pcl::face_detection::RFTreeNode< FeatureType >::covariance_rot_

Definition at line 84 of file face_common.h.

## covariance_trans_

template<class FeatureType >

Eigen::Matrix3d pcl::face_detection::RFTreeNode< FeatureType >::covariance_trans_

Definition at line 83 of file face_common.h.

## feature

template<class FeatureType >

FeatureType pcl::face_detection::RFTreeNode< FeatureType >::feature

Definition at line 74 of file face_common.h.

## purity_

template<class FeatureType >

float pcl::face_detection::RFTreeNode< FeatureType >::purity_

Definition at line 82 of file face_common.h.

## rot_mean_

template<class FeatureType >

Eigen::Vector3d pcl::face_detection::RFTreeNode< FeatureType >::rot_mean_

Definition at line 80 of file face_common.h.

## sub_nodes

template<class FeatureType >

std::vector<RFTreeNode> pcl::face_detection::RFTreeNode< FeatureType >::sub_nodes

Definition at line 75 of file face_common.h.

## threshold

template<class FeatureType >

float pcl::face_detection::RFTreeNode< FeatureType >::threshold

Definition at line 73 of file face_common.h.

## trans_mean_

template<class FeatureType >

Eigen::Vector3d pcl::face_detection::RFTreeNode< FeatureType >::trans_mean_

Definition at line 79 of file face_common.h.

## value

template<class FeatureType >

float pcl::face_detection::RFTreeNode< FeatureType >::value

Definition at line 76 of file face_common.h.

## variance

template<class FeatureType >

float pcl::face_detection::RFTreeNode< FeatureType >::variance

Definition at line 77 of file face_common.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/recognition/include/pcl/recognition/face_detection/face_common.h